Bug 14245 - glXImportContextEXT crashes in git HEAD
glXImportContextEXT crashes in git HEAD
Status: RESOLVED FIXED
Product: Mesa
Classification: Unclassified
Component: GLX
git
Other All
: medium normal
Assigned To: mesa-dev
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-24 23:32 UTC by Johan Bilien
Modified: 2010-05-07 15:43 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
test case (6.76 KB, text/plain)
2008-01-24 23:33 UTC, Johan Bilien
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Johan Bilien 2008-01-24 23:32:40 UTC
Having recently updated to git HEAD for mesa, X server, drm and intel, I noticed that calling glXImportContextEXT systematically result in a crash in the client.

(gdb) bt
#0  0xb7df14a1 in __glXQueryContextInfo (dpy=0x804b008, ctx=0x80562a8)
    at glxcmds.c:1517
#1  0xb7df15a0 in glXImportContextEXT (dpy=0x804b008, contextID=50331649)
    at glxcmds.c:1599
#2  0x08049b5a in main (argc=3, argv=0xbfa0a7d4) at test.c:284

(gdb) print ctx->psc
$1 = (__GLXscreenConfigs *) 0x0

This used to work fine with mesa 7.0.2
Comment 1 Johan Bilien 2008-01-24 23:33:56 UTC
Created attachment 13926 [details]
test case

Run first without argument, then append the context id and window id given by the first process
Comment 2 ajax at nwnk dot net 2009-08-24 12:29:15 UTC
Mass version move, cvs -> git
Comment 3 Kristian Høgsberg 2010-05-07 15:43:21 UTC
Should be fixed by this commit:

commit db178af09d734f2f973d50de9ff90fe1cbb5e9c9
Author: Kristian Høgsberg <krh@bitplanet.net>
Date:   Fri May 7 18:38:35 2010 -0400

    glx: Get GLX_SCREEN first in __glXQueryContextInfo()
    
    And lookup the GLX screen for the context.  Otherwise we'll end up
    jumping through a NULL-pointer once we try to look up the visual
    or config for the shared context.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=14245


The test case works.